# Uses of Class
java.lang.reflect.InvocationTargetException

Packages that use InvocationTargetException
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of InvocationTargetException in java.awt

Methods in java.awt that throw InvocationTargetException
Modifier and Type
Method
Description
`static void`
EventQueue.`invokeAndWait​(Runnable runnable)`
Causes `runnable` to have its `run` method called in the `dispatch thread` of `the system EventQueue`.

## Uses of InvocationTargetException in java.lang.reflect

Methods in java.lang.reflect that throw InvocationTargetException
Modifier and Type
Method
Description
`Object`
Method.`invoke​(Object obj, Object... args)`
Invokes the underlying method represented by this `Method` object, on the specified object with the specified parameters.
`T`
Constructor.`newInstance​(Object... initargs)`
Uses the constructor represented by this `Constructor` object to create and initialize a new instance of the constructor's declaring class, with the specified initialization parameters.

## Uses of InvocationTargetException in javax.swing

Methods in javax.swing that throw InvocationTargetException
Modifier and Type
Method
Description
`static void`
SwingUtilities.`invokeAndWait​(Runnable doRun)`
Causes `doRun.run()` to be executed synchronously on the AWT event dispatching thread.